- Qt 5.5
- Qt3D Module
- C++ Classes
- QObservableInterface
- Qt 5.5.1 Reference Documentation

# QObservableInterface Class

(Qt3D::QObservableInterface)

Inherited By: |

- List of all members, including inherited members

## Public Functions

virtual | ~QObservableInterface()
virtual void | setArbiter(QLockableObserverInterface * arbiter) = 0

## Protected Functions

virtual void | notifyObservers(const QSceneChangePtr & e) = 0

## Member Function Documentation

### `[virtual]` QObservableInterface::~QObservableInterface()

### `[pure virtual protected]` void QObservableInterface::notifyObservers(const QSceneChangePtr & e)

### `[pure virtual]` void QObservableInterface::setArbiter(QLockableObserverInterface * arbiter)